def function(building):
    if building.get('Use_Cat') == 'Outbuilding':
        return 1000

    cost = 2000 if building.get('Cons_Frame') == 'Timber' else 1500
    return cost * round(building.get('area'), -2)

